@import "[default].parameters.css";

.spacer {
    height: var(--spacer-padding);
}

/* ACCORDION */
.accordion-body {
    padding: var(--display-stacks-lg) var(--display-stacks-xl);
}

.accordion-button {
    background-color: var(--color-gray-100);
    font-weight: bold;
    font-size: var(--font-size-md);
    padding: var(--display-stacks-lg) var(--display-stacks-xl);
}

    .accordion-button:hover,
    .accordion-button:focus,
    .accordion-button:active {
        background-color: var(--color-gray-400);
        border-color: white;
        color: var(--color-black);
    }

    .accordion-button:not(.collapsed) {
        color: var(--color-black);
        background-color: var(--color-gray-400);
    }


/* CARDS in Homepage */
.area-card {
    position: relative;
    width: 100%;
    height: 200px;
    overflow: hidden;
    cursor: pointer;
    margin-bottom: var(--display-stacks-lg);
}

    .area-card:last-child {
        margin-bottom: 0;
    }

    .area-card:first-child {
        margin-top: var(--display-stacks-lg);
    }

    /* Immagine */
    .area-card .card-image {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 0.5s ease;
        display: block;
    }

    /* Fascia verde sempre visibile */
    .area-card .header-bar {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100px;
        background-color: var(--color-green-900);
        opacity: 0.9;
        color: var(--color-white);
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        text-transform: uppercase;
        font-weight: bold;
        z-index: 3;
    }

    /* Overlay */
    .area-card .overlay {
        position: absolute;
        top: 100px;
        left: 0;
        right: 0;
        bottom: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        color: var(--color-white);
        background-color: var(--color-green-900);
        opacity: 0;
        transition: opacity 0.5s ease;
        padding: 0 48px 32px 48px;
        z-index: 2;
    }

    .area-card .content {
        opacity: 0;
        transform: translateY(-20px);
        transition: opacity 0.4s ease 0.2s, transform 0.4s ease 0.2s;
    }

    .area-card:hover .header-bar {
        text-decoration: underline;
    }

    .area-card:hover .overlay {
        opacity: 0.9;
    }

    .area-card:hover .content {
        opacity: 1;
        transform: translateY(0);
    }

    .area-card:hover .card-image {
        transform: scale(1.05);
    }

/* CARD generica (da usare anche per News e Case Studies) */
.card {
    border-radius: 0;
    margin-bottom: 1.5rem;
    overflow: hidden;
}

    .card:last-child {
        margin-bottom: 0;
    }

.card-img-big {
    height: 300px;
    object-fit: cover;
    width: 100%;
    border-radius: 0;
}

.card:hover .card-image-big {
    transform: scale(1.05);
}

.card-img-medium {
    height: 100px;
    object-fit: cover;
    width: 100%;
    border-radius: 0;
}

.card-body {
    padding: var(--spacing-32);
}

.card img {
    transition: transform 0.25s ease, filter 0.25s ease;
}

.card:hover img {
    transform: scale(1.02);
    filter: brightness(1.05);
}

/* QUOTATION */
.img-side {
    width: 100%;
    object-fit: cover;
}

.quote-max-width {
    max-width: 1920px;
    margin: 0 auto;
}

.quote-card {
    padding: var(--spacing-32);
}

.quote-text p {
    font-size: var(--text-heading-2);
    font-style: italic;
}

.quote-icon {
    display: inline-block;
    width: 60px;
    height: 60px;
    background-size: contain;
    background-repeat: no-repeat;
}

.quote-icon-sm {
    display: inline-block;
    width: 30px;
    height: 30px;
    background-size: contain;
    background-repeat: no-repeat;
}

.quote-icon-left {
    background-image: var(--quote-left-url);
}

.quote-icon-right {
    background-image: var(--quote-right-url);
    margin-left: auto;
    align-content: flex-end;
}

.image-quote-wrapper {
    position: relative;
    overflow: hidden;
}

/* Quote affiancata */
.quote-container {
    position: static;
    padding: var(--spacing-48) var(--spacing-80);
    z-index: auto;
}

/* Quote in overlay */
.image-quote-wrapper.overlay .quote-container {
    position: static;
}

.author-name {
    font-weight: var(--font-weight-bold);
}
.author-title {
    font-style:italic;
}

/* SLIDER FOTO */
.swiper-wrapper {
    -webkit-transition-timing-function: linear !important;
    -o-transition-timing-function: linear !important;
    transition-timing-function: linear !important;
}

.swiper-button-next, .swiper-button-prev {
    color: white;
    text-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);
}

.picture {
    width: 100%;
    height: 600px;
    object-fit: cover;
}

/* SLIDER NEWS */
.news-swiper {
    width: 100%;
}

    .news-swiper .swiper-slide {
        width: 320px;
        height: auto;
    }

    .news-swiper .card {
        height: 100%;
    }

/* BANNER */
.banner {
    padding: var(--display-stacks-2xl) var(--display-stacks-2xl);
}

/* LOGHI CLIENTI */
.client-logo {
    filter: brightness(0) saturate(100%) invert(1);
}

.logo-max-width img {
    max-width: 150px;
    padding-bottom: 1rem;
}

.brand-logo {
    height: 150px;
}



/* VIDEO EMBED nell'HERO*/
.video {
    width: 100%;
}

    .video iframe {
        width: 100%;
        aspect-ratio: 16 / 9;
        height: 200px;
        border: 0;
    }

/* VICI ARROW in Homepage */
.vici-arrow {
    position: relative;
    transition: transform 0.5s ease-in;
    top: 20px;
}

    .vici-arrow.rotate {
        transform: rotate(180deg);
    }

/* INFO BOX */
.info-box {
    background-color: var(--color-gray-100);
    padding: var(--spacing-48) var(--spacing-24);
}

    .info-box p {
        margin: 0;
    }

    .info-box.full-width {
        padding: var(--spacing-32);
    }

/* WIDGET FLOTTANTE */
.floating-widget {
    position: fixed;
    bottom: 16px;
    right: 0;
    width: 260px;
    padding: 8px 8px 8px 16px;
    background: var(--color-green-600);
    border-radius: 8px 0 0 8px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease;
    color: var(--color-white);
}

    .floating-widget p {
        font-size: var(--size-14px);
    }

    .floating-widget.is-visible {
        opacity: 1;
        visibility: visible;
    }

    .floating-widget a {
        color: var(--color-white);
    }

        .floating-widget a:hover {
            color: var(--color-white);
            text-decoration: underline;
        }

/*BREAKING NEWS*/
.breaking-news-banner {
    background-color: var(--color-gray-100);
    padding: var(--spacing-8) 0;
}

    .breaking-news-banner a {
        color: var(--color-green-900);
    }

        .breaking-news-banner a:hover {
            color: var(--color-green-900);
            text-decoration: underline;
        }

@media all and (min-width: 992px) {

    .floating-widget {
        padding: 16px;
    }

    .banner {
        padding: var(--display-stacks-4xl) var(--display-stacks-4xl);
    }

    .video iframe {
        height: 400px;
    }

    .area-card:first-child {
        margin-top: 0;
    }

    .info-box.full-width {
        padding: var(--spacing-48);
    }

    .card-body {
        padding: var(--spacing-32);
    }

    .image-quote-wrapper.overlay .quote-container {
        position: absolute;
    }

    .quote-card {
        padding: var(--spacing-96) 200px;
    }

    .quote-text p {
        font-size: var(--text-heading-3);
    }

    .quote-icon {
        display: inline-block;
        width: 100px;
        background-size: contain;
        background-repeat: no-repeat;
    }

    .quote-icon-sm {
        display: inline-block;
        width: 40px;
        background-size: contain;
        background-repeat: no-repeat;
    }

    .image-quote-wrapper.overlay .quote-container {
        bottom: 100px;
        right: var(--spacing-32);
        max-width: 50%;
        padding: var(--spacing-32);
    }

    .logo-max-width img {
        padding-bottom: 0;
    }

    .floating-widget p {
        font-size: var(--size-18px);
    }
}
